Campaign Action
curl --request POST \
--url https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_bodyCampaigns
Campaign Action
Perform a lifecycle action on a campaign.
- launch: Start processing calls. Campaign must be in ‘pending’ or ‘paused’ state.
- pause: Suspend call processing. Campaign must be in ‘processing’ state.
- resume: Resume a paused campaign.
- abort: Cancel all pending/queued/ready calls and mark them as failed.
POST
/
campaigns
/
v1
/
campaigns
/
{campaign_id}
/
action
Campaign Action
curl --request POST \
--url https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_bodyAuthorizations
Retrieve your API Key from Dashboard API Keys Section.
Response
Successful Response